
@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,300,400,500,600,700,800;1,300,400,500,600,700,800&display=swap');

:root {
  --primary: #43a232;
}

/*GENERAL*/

.bg-primary,
.btn-primary,
.alert-primary,
.text-primary,
.border-primary,
.page-item.active .page-link {
  background-color: var(--primary) !important;
  border-color: var(--primary) !important;
  color: #fff !important;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "Poppins", sans-serif;
  font-weight: 500;
  letter-spacing: 0.5px;
}

h1.border-bottom, .custom-border-bottom{
  border-bottom: 0.04em solid black !important;
  margin-bottom: 15px;;
}

.btn-primary:hover,
.btn-primary:focus {
  background-color: #39802d !important;
}

.btn {
  text-transform: uppercase;
  border-radius: 0;
  line-height: 1.7;
}

.divider {
  height: 2px;
  background-color: darkgrey;
  margin-right: calc(var(--bs-gutter-x) * 1.5) !important;
  margin-left: calc(var(--bs-gutter-x) * 1.5) !important;
}

.form-control {
  box-shadow: inset 5px 5px 5px #dedede;
  border-radius: 0;
}

.form-control:focus {
  border-color: #1f2020 !important;
  box-shadow: inset 5px 5px 5px #dedede !important;
}

input[type="radio"] {
  accent-color: var(--primary);
}

.login-logo {
  width: 100px;
  margin-bottom: 200px;
}

.w-33 {
  width: 33% !important;
}

/*HEADER NAV*/

.navbar {
  background-color: #374248;
  padding: 0;
}

.navbar .nav-link {
  font-family: "Open Sans", sans-serif;
  font-weight: 300;
  padding: 25px 0 !important;
  margin: 0 20px;
  color: #fff !important;

  border-bottom: 5px solid transparent;
  transition: all 0.3s ease;
}

.navbar .nav-item {
  display: flex;
}

.navbar .nav-link:hover,
.nav-link.active {
  border-bottom: 3px solid var(--primary);
}

/*DASHBOARD CARDS+*/

.card {
  text-decoration: none;
  color: black;
  transition: all 0.3s ease;
  cursor: pointer;
}

.card:hover {
  text-decoration: none;
  color: var(--primary);
}

/*CREATE AD FORM*/

.ad-form{
  padding-top: 25px;;
}

.ad-form .form-label {
  font-weight: bold;
  font-size: 0.9rem;
  text-wrap: nowrap;
  margin: 5px 0;
  margin-right: 8px;
  display: flex;
  width: 130px;
  min-width: 130px;
}

.ad-form .even-rows {
  background-color: #eef1f6;
}

label[for="required-note"]{
  font-weight: 400 !important;
  line-height: 1 !important;
  align-items: center;
}

.ad-form input::placeholder,
.ad-form textarea::placeholder {
  color: #8b8b8b;
  font-size: 0.9rem;
}

/*AD TEXT CONTAINER*/
.ad-text-container {
  background-color: #f8f9fa;

  border: #374248 1px solid;
  box-shadow: 0 0 10px rgba(0, 0, 0, 0.1);
}

.ad-text-container .paragraph-card {
  padding: 8px 20px;
  background: white;
  border-radius: 5px;

  display: flex;
  align-items: center;
  justify-content: space-between;
}

/*SELECT 2 DROPDOWN STYLING*/
.select2-container--default .select2-selection--multiple,
.select2-container--default .select2-selection--single {
  box-shadow: inset 5px 5px 5px #dedede;
  border-radius: 0;
  display: block;
  width: 100%;
  padding: 0.375rem 0.75rem;
  font-size: 1rem;
  font-weight: 400;
  line-height: 1.5;
  color: #212529;
  background-color: #fff;
  background-clip: padding-box;
  border: 1px solid #ced4da;
  -webkit-appearance: none;
  -moz-appearance: none;
  appearance: none;

  transition: border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}

.select2-results__option--highlighted {
  background-color: var(--primary) !important;
}
.select2-container--default .select2-selection--multiple {
  min-height: 37.33px;
  padding: 4px 8px;
  font-size: 14px;
}

/*SPINNER LOADER*/
.spin {
  animation: spin 1.5s linear infinite !important;
  display: inline-block;
  vertical-align: middle;
}
@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

@media (max-width: 700px) {
  .responsive-height-sm {
    min-height: 200px !important;
  }
  .btn {
    font-size: 14px;
  }

  .ad-type-field-card th,
  .ad-type-field-card td {
    font-size: 14px;
    display: block !important;
  }
}

@media (max-width: 575px) {
  .ad-form .form-label {
    width: 100px;
    min-width: 100px;
  }
  .ad-form .form-group {
    flex-direction: column;
    align-items: flex-start;
  }
  :root {
    --bs-gutter-x: 1rem;
  }

  .w-sm-100 {
    width: 100% !important;
  }
  h1.border-bottom{

    margin-bottom: 20px;;
  }
}
